This document describes how to configure Gemini Cloud Assist prompt and response sharing for a project by using the Google Cloud console or an API.
When enabled, Google processes the prompts and responses of all Gemini Cloud Assist users in the project for purposes of product improvement, which helps Google to improve Gemini Cloud Assist. Google stores anonymized prompts and responses submitted from the project for a maximum of two years. Your organization's prompts and responses are never used to train or fine tune any LLM model.
You can change this setting at any time.
Before you begin
To configure prompt and response sharing for Gemini Cloud Assist, you should
be granted the
Gemini Cloud Assist Admin (roles/cloudaicompanion.settingsAdmin)
Identity and Access Management (IAM) predefined role, which includes all required
permissions needed to modify Gemini Cloud Assist administrator settings.
Alternatively, you can update any custom IAM roles with specific IAM permissions, which are detailed in the following sections.
Enable prompt and response sharing for Gemini Cloud Assist
Select one of the following options:
Console
Verify that you have the following Identity and Access Management (IAM) permissions on the project that owns the subscription:
instance.queryEffectiveSettinginstance.queryEffectiveSettingBindingsdataSharingWithGoogleSettings.createdataSharingWithGoogleSettings.listdataSharingWithGoogleSettings.getdataSharingWithGoogleSettings.updatesettingBindings.dataSharingWithGoogleSettingsCreatesettingBindings.dataSharingWithGoogleSettingsGetsettingBindings.dataSharingWithGoogleSettingsUpdatesettingBindings.dataSharingWithGoogleSettingsUse
Open the Google Cloud console.
In any page of the Google Cloud console, click spark Open or close Gemini Cloud Assist chat.
The Cloud Assist panel opens.
Click More actions (), and then click Cloud Assist Settings from the drop-down menu.
The Manage Gemini Cloud Assist settings panel opens.
In the Data sharing for Gemini Cloud Assist section, ensure that Help Google improve Gemini Cloud Assist by sharing your prompts and response is selected.
Click Save.
API
To enable data sharing for Gemini Cloud Assist, use the
CreateDataSharingWithGoogleSetting method.
Verify that you have the following Identity and Access Management (IAM) permissions on the project that owns the subscription:
instance.queryEffectiveSettinginstance.queryEffectiveSettingBindingsdataSharingWithGoogleSettings.createdataSharingWithGoogleSettings.listdataSharingWithGoogleSettings.getdataSharingWithGoogleSettings.updatesettingBindings.dataSharingWithGoogleSettingsCreatesettingBindings.dataSharingWithGoogleSettingsGetsettingBindings.dataSharingWithGoogleSettingsUpdatesettingBindings.dataSharingWithGoogleSettingsUse
Create the setting and a setting-specific value:
Obtain an authentication token:
TOKEN=$(gcloud auth print-access-token)Run the following command to create the setting:
curl -X POST \ -H "Authorization: Bearer $TOKEN" \ -H 'Content-Type: application/json' \ -d '{ "enablePreviewDataSharing": true }' \ "https://cloudaicompanion.googleapis.com/v1/projects/CONTAINER_PROJECT_NAME/locations/global/dataSharingWithGoogleSettings?dataSharingWithGoogleSettingId=SETTING_ID"Replace the following:
CONTAINER_PROJECT_NAME: Enter the parent project ID.SETTING_ID: Enter a unique setting name, such asdswg1forData Sharing with Google.
If the command succeeds, it returns a response body that shows the
enablePreviewDataSharingset totrue:{ "name": "projects/CONTAINER_PROJECT_NAME/locations/global/dataSharingWithGoogleSettings/SETTING_ID", "createTime": "2025-01-23T15:22:49.717166932Z", "updateTime": "2025-01-23T15:22:49.717166932Z", "enablePreviewDataSharing": true }For more information on authentication, see Authenticate for using REST.
Create the setting binding:
curl -X POST \ -H "Authorization: Bearer $TOKEN" \ -H 'Content-Type: application/json' \ -d '{ "target": "projects/TARGET_PROJECT_NAME", "product": "GEMINI_CLOUD_ASSIST" }' \ "https://cloudaicompanion.googleapis.com/v1/projects/CONTAINER_PROJECT_NAME/locations/global/dataSharingWithGoogleSettings/SETTING_ID/settingBindings?settingBindingId=BINDING_ID"Replace the following:
TARGET_PROJECT_NAME: Enter the target project to which the setting should be applied.SETTING_ID: Use the same SETTING_ID when you created the setting, but append it withb1. For example, usedswg1b1forData Sharing with Google.
If the command succeeds, it returns the operation metadata in the following format:
{ "name": "projects/<var>CONTAINER_PROJECT_NAME</var>/locations/global/operations/operation-1737646069712-62c6140bb04bb-49261230-43701daf", "metadata": { "@type": "type.googleapis.com/google.cloud.cloudaicompanion.v1.OperationMetadata", "createTime": "2025-01-23T15:27:50.076075570Z", "target": "projects/<var>TARGET_PROJECT_NAME</var>/locations/global/dataSharingWithGoogleSettings/<var>SETTING_ID</var>/settingBindings/<var>BINDING_ID</var>", "verb": "create", "requestedCancellation": false, "apiVersion": "v1" }, "done": false }
Disable prompt and response sharing for Gemini Cloud Assist
Select one of the following options:
Console
Verify that you have the following Identity and Access Management (IAM) permissions on the project where you want to modify settings:
instance.queryEffectiveSettinginstance.queryEffectiveSettingBindingsdataSharingWithGoogleSettings.listdataSharingWithGoogleSettings.getsettingBindings.dataSharingWithGoogleSettingsGetsettingBindings.dataSharingWithGoogleSettingsDeletesettingBindings.dataSharingWithGoogleSettingsUse
Open the Google Cloud console.
In any page of the Google Cloud console, click spark Open or close Gemini Cloud Assist chat.
The Cloud Assist panel opens.
Click More actions (), and then click Cloud Assist Settings from the drop-down menu.
The Manage Gemini Cloud Assist settings panel opens.
In the Data sharing for Gemini Cloud Assist section, ensure that Help Google improve Gemini Cloud Assist by sharing your prompts and response is not selected.
Click Save.
API
To disable data sharing for Gemini Cloud Assist, use the
DeleteDataSharingWithGoogleSetting method.
Verify that you have the following Identity and Access Management (IAM) permissions on the project where you want to modify settings:
instance.queryEffectiveSettinginstance.queryEffectiveSettingBindingsdataSharingWithGoogleSettings.listdataSharingWithGoogleSettings.deletedataSharingWithGoogleSettings.getsettingBindings.dataSharingWithGoogleSettingsGetsettingBindings.dataSharingWithGoogleSettingsUpdatesettingBindings.dataSharingWithGoogleSettingsUse
Disable prompt and response sharing for the specified setting:
Obtain the token:
TOKEN=$(gcloud auth print-access-token)Run the following command to disable the setting:
curl -X PATCH \ -H "Authorization: Bearer $TOKEN" \ -H 'Content-Type: application/json' \ -d '{ "enablePreviewDataSharing": false } ' \ "https://cloudaicompanion.googleapis.com/v1/projects/CONTAINER_PROJECT_NAME/locations/global/dataSharingWithGoogleSettings?dataSharingWithGoogleSettingId=SETTING_ID"This
PATCHcommand only succeeds if the setting resource already exists from when you enabled prompt and response sharing.Replace the following:
CONTAINER_PROJECT_NAME: Enter the parent project ID.SETTING_ID: Enter the existing setting name, such asdswg1forData Sharing with Google.
If the command succeeds, it returns a response body that shows the
enablePreviewDataSharingset tofalse:{ "name": "projects/CONTAINER_PROJECT_NAME/locations/global/dataSharingWithGoogleSettings/SETTING_ID", "createTime": "2025-01-23T15:22:49.717166932Z", "updateTime": "2025-01-23T15:22:49.717166932Z", "enablePreviewDataSharing": false }